[ОТВЕТИТЬ]
Опции темы
30.07.2015 15:10  
mazafakasun
Есть база на Oracle 10.2.0.4.0 x32 Windows2003.
В связи с ростом сети необходим перенос сервака с миграцией БД.
Было решено перейти на 11.2.0.3.0 - 64bit попутно обновив версию Супермага с 1.029 сп9 до 1.031.2 сп5. Всё пока делаю не тестовом стенде.

Сразу говорю что новичок в техническом плане, но самостоятельно разбираться умею, если что скажите в какую сторону копать.

Exp/imp, гранты, проверка инвалидов всё прошло успешно. Поиск по форуму рулит

Споткнулся на генераторе бд:
Цитата:
***** DocSpec.sql *****
begin
*
ERROR at line 1:
ORA-20012: Ошибка создания таблицы FSLastCO.
ORA-06512: at "SUPERMAG.SMINITNEWTABLE", line 10
ORA-02270: no matching unique or primary key for this column-list
ORA-06512: at line 2
Где-то тут на форуме было сказано, что генератор 1.029 с Oracle 11.2.0.3 не умеет работать. Поэтому было сразу решено поставить 1.031.2 и инициализировать БД.

В соседней теме было что-то подобное, но решения не нашли и Oracle 10.

Может сделать миграцию на Oracle 10 x64 и не париться? Это центральная БД, которая будет собирать >50 магазинов.

Пробовал подчиненные базы, которые стоят на 11.2.0.1 сделать миграцию на 11.2.0.3 таким же методом (exp/imp, гранты, инвалиды), там всё успешно, и база сгенерилась без проблем.
 
30.07.2015 15:23  
OlegON
Если центральная БД, то х64 почти обязательная, независимо от версии.

Есть предположение, что дело здесь не в версии, а в возможных доработках или просто разрушении структуры БД, либо на месте, либо во время экспорта. Т.е. при переходе на 10 будет такая же ошибка.

Сделай экспорт еще раз, посмотри, на что ссылается FSLastCO, проверь, что эти индексы есть в файле экспорта.
 
30.07.2015 15:33  
akonev
Это новая табличка, похоже.
У меня на 1.030.4 SP3 такой нету.
 
30.07.2015 15:35  
OlegON
Ну да, я имел ввиду, что надо посмотреть структуру успешно обновленной базы или шаблона. Табличка при создании валится.
 
30.07.2015 15:37  
Mtirt
И в 1.031.2 нету. FSLastOR только есть.
От какой версии генератор?
 
30.07.2015 16:28  
mazafakasun
Цитата:
Сообщение от OlegON
Есть предположение, что дело здесь не в версии, а в возможных доработках или просто разрушении структуры БД, либо на месте, либо во время экспорта. Т.е. при переходе на 10 будет такая же ошибка.
Я на тестовой обновлял с 1.029 сп9 до 1.031.2 сп5, обновление прошло успешно на текущей, 10.2.0.4 версии Oracle. Может сначала обновится, а потом мигрировать?

Цитата:
Сообщение от Mtirt
И в 1.031.2 нету. FSLastOR только есть.
От какой версии генератор?
Версия 1.031.2
 
30.07.2015 16:36  
akonev
Цитата:
Сообщение от mazafakasun
Может сначала обновится, а потом мигрировать?
Да, так будет проще.
Кстати, в той ветке, где ты находил похожую ошибку, тоже в первом же посте писали, что так - работает.
 
31.07.2015 08:26  
kadr
Цитата:
Сообщение от mazafakasun
.... перенос сервака с миграцией БД.
Было решено перейти на 11.2.0.3.0 - 64bit попутно обновив версию Супермага с 1.029 сп9 до 1.031.2 сп5. ....
Считаю плохой идеей делать это попутно. Потом будешь гадать откуда у проблемы ноги растут, от новой версии СМ или от новой версии Oracle.
Я бы сначала обновил СМ, дал пользователям наиграться/привыкнуть к новой версии, а потом бы уже сменил версию Oracle и не на 11.2.0.3, а на 11.2.0.4
 
31.07.2015 12:08  
mazafakasun
Пришлось обновить сначала супермаг на Oracle 10, exp/imp, всё как в FAQ, инициализация БД, скрипты.
Инвалидов нету, супермаг запустился, расчет ТД прошёл.

Цитата:
Сообщение от kadr
... а потом бы уже сменил версию Oracle и не на 11.2.0.3, а на 11.2.0.4
Извините за наивность, 11.2.0.3 уже не рекомендуют? С+ мне тоже говорит что "В настоящее время поддерживаются следующие версии Оракла - 10.2.0.4, 10.2.0.5, 11.2.0.1, 11.2.0.4", т.е. 0.3 в списке нету. Но в списке есть 11.2.0.1. Хотя судя по отзывам, то от этой версии лучше избавится.
Не попасть бы на грабли в будущем. У меня много магазинов будет, зоопарк версий и 10.2.0.4, и 11.2.0.1 и 11.2.0.3. Хотелось бы привести к единому чему-то.
 
31.07.2015 14:08  
OlegON
Имхо.
11.2.0.1 вот еще одна сегодня упала у клиента. От слова совсем, хоть и после ребута по питанию, но даже после полного восстановления упала опять. Ее категорически не рекомендую.
В 10.2.0.4 есть проблемы с трассировками, в 10.2.0.5 виндовой, иногда, с производительностью, лечится. Рекомендую .5
11.2.0.3 и 11.2.0.4 в плане проблем и их решенности по отношению к Супермагу (!) практически равнозначны. Зато в 11.2.0.4 есть косяки по авторизации ролей (со стороны Супермага). Если версия СМ достаточно новая, то 11.2.0.4 предпочтительнее, если подревнее или переходная с древних - .3
 
 


Опции темы



Часовой пояс GMT +3, время: 15:00.

Все в прочитанное - Календарь - RSS - - Карта - Вверх 👫 Яндекс.Метрика
Форум сделан на основе vBulletin®
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd. Перевод: zCarot и OlegON
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.